ListApplications
Lists the account access manager applications in your account. Use pagination to ensure that the operation returns quickly and successfully.
Request Syntax
POST /applications-list HTTP/1.1
Content-type: application/json
{
"maxResults": number,
"nextToken": "string"
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
- maxResults
-
Specifies the maximum number of results to return in a single call.
Type: Integer
Valid Range: Minimum value of 1. Maximum value of 100.
Required: No
- nextToken
-
Specifies the pagination token from a previous call to retrieve the next set of results.
Type: String
Required: No
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"applications": [
{
"applicationArn": "string",
"createdAt": "string",
"tenantId": "string",
"updatedAt": "string"
}
],
"nextToken": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- applications
-
The list of applications.
Type: Array of ApplicationSummary objects
- nextToken
-
The pagination token to use in a subsequent request to retrieve the next set of results. This value is null when there are no more results to return.
Type: String
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
You do not have sufficient access to perform this operation.
HTTP Status Code: 403
- InternalServerException
-
An internal service error occurred. Try your request again later.
HTTP Status Code: 500
- ThrottlingException
-
The request was denied due to request throttling. Try your request again later.
HTTP Status Code: 429
- ValidationException
-
The input does not satisfy the constraints specified by the service. Check your request parameters and retry the request.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: